Delete a namespace and replace it by the main namespace on ar.wikipedia
Closed, ResolvedPublic

Description

Hi,
It's my first task in Phabricator, so feel free to ask me questions if something is unclear.

The Arabic wikipedia community wants to delete a namespace used in Arabic wikipedia for annexes (the content is mainly lists) and to replace it in the main namespace (articles).
As an example :
the actual Arabic page for the article https://en.wikipedia.org/wiki/List_of_sovereign_states is called : ملحق:قائمة الدول

which means Annex:List of countries

what we want is an article called قائمة الدول which means list of countries

The problems that you may face :

  • Sometimes there is a redirect from list of countries to annex:list of countries, so you have to erase the existing redirect page
  • You have to avoid loosing the direct links to annex:list of countries. For example, in an article, [[Annex:List of countries|a lot of countries]] must become [[List of countries|a lot of countries]] and not a red link.
  • If the page [[list of countries]] already exists, we need to decide if we replace it by [[annex:list of countries]] or we merge them. So if the problem happens we may need a list to analyse them.

Community approval :
First part : in the policy pump village section
https://ar.wikipedia.org/wiki/%D9%88%D9%8A%D9%83%D9%8A%D8%A8%D9%8A%D8%AF%D9%8A%D8%A7:%D8%A7%D9%84%D9%85%D9%8A%D8%AF%D8%A7%D9%86/%D8%B3%D9%8A%D8%A7%D8%B3%D8%A7%D8%AA/05/2014#.D9.85.D9.84.D8.A7.D8.AD.D9.82

Second part : in the technical pump village section
https://ar.wikipedia.org/wiki/%D9%88%D9%8A%D9%83%D9%8A%D8%A8%D9%8A%D8%AF%D9%8A%D8%A7:%D8%A7%D9%84%D9%85%D9%8A%D8%AF%D8%A7%D9%86/%D8%AA%D9%82%D9%86%D9%8A%D8%A9/05/2014#.D8.AD.D8.B0.D9.81_.D9.86.D8.B7.D8.A7.D9.82_.D8.A7.D9.84.D9.85.D9.84.D8.AD.D9.82

Third part : Users reminded me in my discussion page to ask for the change
https://ar.wikipedia.org/wiki/%D9%86%D9%82%D8%A7%D8%B4_%D8%A7%D9%84%D9%85%D8%B3%D8%AA%D8%AE%D8%AF%D9%85:Helmoony#%D8%AA%D8%AD%D9%8A%D8%A9%20%D9%88%D8%A7%D8%B3%D8%AA%D9%81%D8%B3%D8%A7%D8%B1

Helmoony created this task.May 12 2015, 5:18 PM
Helmoony updated the task description. (Show Details)
Helmoony raised the priority of this task from to Normal.
Helmoony added a project: Wikimedia-Bugzilla.
Helmoony added a subscriber: Helmoony.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 12 2015, 5:18 PM
Glaisher set Security to None.
Dereckson renamed this task from Delete a namespace and replace it by the main namespace to Delete a namespace and replace it by the main namespace on ar.wikipedia.May 12 2015, 6:04 PM

Hi,

I offer we do this in three steps:

  1. On ar.wikipedia, you create a bot to move the pages, and leave redirects if you want to avoid to break URLs.
  2. We then remove the namespace, a script is run to rename in the former namespace pages "X" into "X:ملحق" (so they keep the name, but are in (main)
  3. We offer a report so we can together see how to solve remaining issues, if any.
Helmoony added a comment.EditedMay 12 2015, 6:41 PM

Hey Dereckson ! Thank you for taking this task. I asked our bot specialist (User:Elph) to participate in this discussion. Technically he can do the step one.

Elph added a subscriber: Elph.EditedMay 12 2015, 6:59 PM

Hi all.
I am ready to do this

Thank you Elph,
We are waiting for your bot redirect. Tell me if there is an existing page in the main namespace. I can merge the content.

Dereckson reassigned this task from Dereckson to Elph.

[ Reassigned task to bot operator. Feel free to reassign it to me when we're ready for step 2. ]

Elph found a problem in his task. The bot movepages.py can't overwrite existing page which is our cas with redirect pages.

Example : https://ar.wikipedia.org/wiki/1030
Total number of redirects to annex namespace : 8920 pages

@Elph @Helmoony Reverse a redirection, if there is only one revision doesn't require sysop right, but if there are several revisions, the bot has to be admin.

You also have to ensure the script can force (I reviewed the options and haven't see nothing about that) the target page replace.

You could get further assistance on this issue on Freenode #pywikipedia.

Elph added a comment.May 16 2015, 5:40 AM

Hi all
the first step is done. now no article (list) in ns:104 expect redirects.

Dereckson claimed this task.EditedMay 16 2015, 5:16 PM

Thank you, we can now proceed with the config change (step 2).

Meno25 added a subscriber: Meno25.Jun 29 2015, 11:14 AM
Restricted Application added a subscriber: Matanya. · View Herald TranscriptJun 29 2015, 11:14 AM

@Dereckson, are you going to work on this?

@Krenair, may be @Dereckson is busy. Can you handle the step 2 ?

Change 233636 had a related patch set uploaded (by Alex Monk):
Remove Annex namespace from arwiki

https://gerrit.wikimedia.org/r/233636

Change 233636 merged by Alex Monk:
Remove Annex namespace from arwiki

https://gerrit.wikimedia.org/r/233636

Krenair closed this task as Resolved.Aug 25 2015, 12:11 AM
Meno25 removed a subscriber: Meno25.Sep 20 2015, 3:24 PM